* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: "Poppins",sans-serif;
}

:root {
    --bg-color: rgba(15,15,15);
    --second-bg-color: #161616;
    --text-color: white;
    --main-color: #ff1540c2;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 3rem 9%;
    background: rgba(0,0,0,0.7);
    backdrop-filter: blur(10px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.logo {
    font-size: 3rem;
    color: var(--text-color);
    font-weight: 800;
    cursor: pointer;
    transition: 0.3s ease;
}

    .logo:hover {
        transform: scale(1.1);
    }

.navbar a {
    font-size: 1.8rem;
    color: white;
    margin-left: 4rem;
    font-weight: 500;
    transition: 0.3s ease;
    border-bottom: 3px solid transparent;
}

    .navbar a:hover,
    .navbar a.active {
        color: var(--main-color);
        border-bottom: 3px solid var(--main-color);
    }

#menu-icon {
    font-size: 3.6rem;
    color: var(--main-color);
    display: none;
}

section {
    min-height: 100vh;
    padding: 10rem 9% 10rem;
}

.home {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8rem;
}

.home-content h3 {
    font-size: 3.2rem;
    font-weight: 700;
}

span {
    color: var(--main-color);
}

.logo span {
    color: var(--main-color);
}

.home-content h3:nth-of-type(2) {
    margin-bottom: 2rem;
    font-size: 5rem;
}

.home-content h1 {
    font-size: 8rem;
    font-weight: 700;
    line-height: 1.3;
}

.home-img {
    border-radius: 60%;
}

    .home-img img {
        /* position:-webkit-sticky; */
        position: relative;
        width: 20vw;
        height: fit-content;
        /* width: 26vw; */
        border-radius: 50%;
        box-shadow: 0 0 25px var(--main-color);
        cursor: pointer;
    }

.home-content p {
    font-size: 1.8rem;
    font-weight: 500;
}

.social-icons a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    background: transparent;
    border: 0.2rem solid var(--main-color);
    font-size: 2rem;
    border-radius: 50%;
    color: var(--main-color);
    margin: 3rem 1.5rem 3rem 0;
    transition: 0.3s ease;
}

    .social-icons a:hover {
        color: white;
        transform: scale(1.3)translateY(-5px);
        background-color: var(--main-color);
        box-shadow: 0 0 25px var(--main-color);
    }

.btn {
    display: inline-block;
    padding: 1rem 2.8rem;
    background: var(--bg-color);
    border-radius: 4rem;
    font-size: 1.6rem;
    color: var(--main-color);
    border: 2px solid var(--main-color);
    letter-spacing: 0.1rem;
    font-weight: 600;
    transition: 0.3s ease;
    cursor: pointer;
}

    .btn:hover {
        transform: scale(1.05);
        background: var(--main-color);
        color: var(--text-color);
        box-shadow: 0 0 25px var(--main-color);
    }

.text-animation {
    font-size: 34px;
    font-weight: 600;
    min-width: 280px;
}

    .text-animation span {
        position: relative;
    }

        .text-animation span::before {
            content: 'Student';
            color: var(--main-color);
            animation: words 20s infinite;
        }

        .text-animation span::after {
            content: '';
            background-color: var(--bg-color);
            position: absolute;
            width: calc(100% + 8px);
            height: 100%;
            border-left: 3px solid var(--bg-color);
            right: -8px;
            animation: cursor 0.6s infinite, typing 25s steps(14) infinite;
        }

@keyframes cursor {
    to {
        border-left: 2px solid var(--main-color);
    }
}

@keyframes words {
    0%,25% {
        content: 'Student';
    }

    26%,50% {
        content: 'Web Developer';
    }

    51%,75% {
        content: 'Programmer';
    }


    76%,100% {
        content: 'Researcher';
    }
}

@keyframes typing {
    10%, 15%, 30%, 35%, 50%, 55%, 70%, 75%, 90%, 95% {
        width: 0;
    }

    5%, 20%, 25%, 40%, 45%, 60%, 65%, 80%, 85% {
        width: calc(100% + 8px);
    }
}

.heading {
    text-align: center;
    font-size: 8rem;
}

.services {
    background-color: var(--second-bg-color);
}

    .services h2 {
        margin-bottom: 8rem;
    }

.service-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 3rem;
}

    .service-container .services-box {
        flex: 1 1 30rem;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
        background: var(--main-color);
        padding: 3rem 2rem 4rem;
        height: 400px;
        border-radius: 1rem;
        border: 3px solid transparent;
        cursor: pointer;
        transition: 0.5s ease;
    }

        .service-container .services-box:hover {
            transform: scale(1.02);
            background-color: white;
            color: black;
            i

{
    color: black;
}

}

.services-box i {
    font-size: 7rem;
    color: #f7f4f4;
    margin-bottom: 1rem;
}

/* .services-box i:hover{
    color: black;
} */

.services-box h3 {
    font-size: 2.6rem;
    color: f7f4f4;
}

.services-box p {
    font-size: 1.6rem;
    margin: 1rem 0 3rem;
    color: f7f4f4;
}

.services-box .btn {
    background-color: white;
    color: f7f4f4;
}

    .services-box .btn:hover {
        color: var(--main-color);
    }

::-webkit-scrollbar {
    width: 15px;
}

::-webkit-scrollbar-thumb {
    background-color: var(--main-color);
}

::-webkit-scrollbar-track {
    background-color: var(--bg-color);
    width: 50px;
}

.projects {
    background: var(--bg-color);
}

    .projects h2 {
        margin-bottom: 8rem;
    }

.projects-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    gap: 2.5rem;
}

    .projects-container .projects-box {
        position: relative;
        border-radius: 2rem;
        height: 550px;
        overflow: hidden;
        display: flex;
        border: 2px solid red;
    }

.projects-box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 1s ease;
}

.projects-box:hover img {
    transform: scale(1.1);
}

.projects-box .projects-info {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    padding: 0 4rem;
    cursor: pointer;
    transition: 0.5s ease;
    border: solid;
}

    .projects-box .projects-info:hover {
        background: radial-gradient(rgba(255, 0, 115, 0.8), var(--main-color));
        transform: scale(1.1);
    }

.projects-info h4 {
    font-size: 3rem;
    color: white;
    font-weight: 800;
}

.projects-info p {
    font-size: 1.6rem;
    margin: 0.3rem 0 1rem;
    font-weight: 600;
    color: white;
}

.projects-info a {
    color: white;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 5rem;
    height: 5rem;
    background: white;
    border: 2px solid var(--main-color);
    border-radius: 50%;
}

    .projects-info a i {
        font-size: 3rem;
        color: var(--main-color);
    }


.skills {
    background-color: var(--second-bg-color);
}

    .skills h2 {
        margin-bottom: 2rem;
    }

.skills {
    margin: 0 auto;
}

.skill-bars {
    margin-top: 8rem;
    padding: 25px 30px;
    background: var(--bg-color);
    border: 2px solid var(--main-color);
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    gap: 3rem;
}

    .skill-bars .bar {
        margin: 20px 0;
    }

        .skill-bars .bar:first-child {
            margin-top: 0px;
        }

        .skill-bars .bar .info {
            margin-bottom: 5px;
        }

            .skill-bars .bar .info span {
                color: var(--text-color);
                font-weight: 500;
                font-size: 17px;
            }

        .skill-bars .bar .progress-line {
            height: 10px;
            width: 100%;
            background: white;
            position: relative;
            border-radius: 10px;
        }

.bar .progress-line span {
    height: 100%;
    position: absolute;
    border-radius: 10px;
    background: white;
    cursor: pointer;
}

.bar .progress-line.javascript span {
    width: 100%;
    background-color: gold;
}

.bar .progress-line.java span {
    width: 85%;
    background-color: rgb(58, 58, 255);
}

.bar .progress-line.python span {
    width: 80%;
    background-color: lightskyblue;
}

.bar .progress-line.cpp span {
    width: 100%;
    background-color: orangered;
}

.bar .progress-line.csharp span {
    width: 80%;
    background-color: blue;
}


.timeline-section {
    min-height: 100vh;
    padding: 100px 15px;
    background: var(--bg-color);
}

    .timeline-section h2 {
        margin-bottom: 5rem;
    }

.timeline-items {
    max-width: 1000px;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    position: relative;
}

    .timeline-items::before {
        content: '';
        position: absolute;
        width: 5px;
        height: 100%;
        background-color: var(--main-color);
        left: calc(50% - 1px);
    }

.timeline-item {
    margin-bottom: 40px;
    width: 100%;
    position: relative;
}

    .timeline-item:last-child {
        margin-bottom: 0;
    }

    .timeline-item:nth-child(odd) {
        padding-right: calc(50% + 30px);
        text-align: right;
    }

    .timeline-item:nth-child(even) {
        padding-left: calc(50% + 30px);
        /* text-align: right; */
    }

.timeline-dot {
    height: 21px;
    width: 21px;
    background-color: var(--main-color);
    position: absolute;
    left: calc(50% - 8px);
    border-radius: 50%;
    top: 10px;
}

.timeline-date {
    font-size: 20px;
    font-weight: 800;
    color: white;
    margin: 6px 0 15px;
}

.timeline-content {
    background-color: var(--main-color);
    padding: 30px;
    border-radius: 1em;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

    .timeline-content:hover {
        transform: scale(1.05);
    }

    .timeline-content h3 {
        font-size: 20px;
        color: white;
        margin: 0 0 10px;
        text-transform: capitalize;
        font-weight: 500;
    }

    .timeline-content p {
        color: white;
        opacity: 0,8;
        font-size: 16px;
        font-weight: 400;
        line-height: 22px;
    }

.contact {
    background-color: var(--second-bg-color);
}

.content h2 {
    margin-bottom: 3rem;
}

.contact form {
    max-width: 70rem;
    margin: 1rem auto;
    text-align: center;
    margin-bottom: 3rem;
}

    .contact form .input-box {
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
    }

        .contact form .input-box input, .contact form textarea {
            width: 100%;
            padding: 1.5rem;
            font-size: 1.6rem;
            color: var(--text-color);
            background: var(--bg-color);
            border-radius: 0.8rem;
            border: 2px solid var(--main-color);
            margin: 1rem 0;
            resize: none;
        }

    .contact form .btn {
        margin-top: 2rem;
    }

.footer {
    position: relative;
    bottom: 0;
    width: 100%;
    padding: 40px 0;
    background-color: var(--main-color);
}

    .footer .social {
        text-align: center;
        padding-bottom: 25px;
        color: white;
    }

        .footer .social a {
            font-size: 25px;
            color: white;
            border: 2px solid white;
            width: 42px;
            height: 42px;
            line-height: 42px;
            display: inline-block;
            text-align: center;
            border-radius: 50%;
            margin: 0 10px;
            transition: 0 3s ease;
        }

            .footer .social a:hover {
                transform: scale(1.2)translateY(-10px);
                background-color: white;
                color: var(--main-color);
            }

    .footer ul {
        margin-top: 0;
        padding: 0;
        font-size: 18px;
        line-height: 1.6;
        margin-bottom: 0;
        text-align: center;
    }

        .footer ul li a {
            color: white;
            border-bottom: 3px solid transparent;
            transition: 0.3s ease;
        }

            .footer ul li a:hover {
                border-bottom: 3px solid white;
            }

        .footer ul li {
            display: inline;
            padding: 0 15px;
        }

    .footer copyright {
        margin-top: 50px;
        text-align: center;
        font-size: 16px;
        color: white;
    }

@media(max-width:1200px) {
    html {
        font-size: 55%;
    }

    .projects-container {
        padding-bottom: 7rem;
        grid-template-columns: repeat(1,1fr);
        margin: 0 5rem;
    }
}

@media(max-width:1000px) {
    header {
        padding: 2rem 3%;
    }

    section {
        padding: 10rem 3% 2rem;
    }

    .services {
        padding-bottom: 7rem;
    }

    .footer {
        padding: 2rem 3%;
    }
}

@media(max-width:955px) {
    #menu-icon {
        display: block;
    }

    .navbar {
        position: absolute;
        top: 100%;
        right: 0;
        width: 40%;
        border-left: 3px solid var(--main-color);
        border-bottom: 3px solid var(--main-color);
        border-bottom-left-radius: 2em;
        padding: 1rem 3%;
        background: var(--second-bg-color);
        border-top: 0.1rem solid rgba(0, 0, 0, 0.1);
        display: none;
    }

        .navbar.active {
            display: block;
        }

        .navbar a {
            display: block;
            font-size: 2rem;
            margin: 3rem 0;
        }

    .home {
        flex-direction: column;
        margin: 5rem 4rem;
    }

    .home-content h3 {
        font-size: 2.6rem;
    }

    .home-content h1 {
        font-size: 5rem;
    }

    .home-img img {
        width: 70vw;
        margin-top: 4rem;
    }

    .services h2 {
        margin-bottom: 3rem;
    }

    .projects h2 {
        margin-bottom: 3rem;
    }

    .timeline-items::before {
        left: 7px;
    }

    .timeline-item:nth-child(odd), .timeline-item:nth-child(even) {
        padding-right : 0px;
        padding-left: 37px;
    }

    .timeline-dot {
        left: 0;
    }
}
